MCP Connections
Authorize an MCP connection
Connect or authorize a remote Streamable HTTP MCP connection, returning an OAuth URL when user authorization is required. Stdio connections are rejected because this action cannot authorize them.
POST
/
v1
/
mcp-connections
/
{mcpConnectionId}
/
authorize
Authorize an MCP connection
curl --request POST \
--url https://api.tembo.io/v1/mcp-connections/{mcpConnectionId}/authorize \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tembo.io/v1/mcp-connections/{mcpConnectionId}/authorize"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tembo.io/v1/mcp-connections/{mcpConnectionId}/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"authorizationUrl": "<string>",
"connection": {
"connectedAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"serverUrl": "<string>",
"type": "remote",
"args": [
"<string>"
],
"authType": "oauth",
"command": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"envKeys": [
"<string>"
],
"headerKeys": [
"<string>"
],
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Was this page helpful?
⌘I
Authorize an MCP connection
